select
p.pid,concat(ctitle.titlename,p.fname,' ',p.lname)as 'ชื่อ-สกุล'
,concat(substr(p.birth,9,2),'/',substr(p.birth,6,2),'/',substr(p.birth,1,4)+543)as'วันเกิด'
,GetAgeYearNum(p.birth,'2013-10-01') as 'อายุ'
,p.idcard as idcard
,house.hno 'บ.เลขที่'
,SUBSTRING(house.villcode,7,2) as 'หมู่'
,p1.osm as 'อสม.'
from person p
left join ctitle on p.prename = ctitle.titlecode
inner join house on p.pcucodeperson = house.pcucode and p.hcode = house.hcode
left join (select p1.pid,concat(p1.fname,' ',p1.lname)as osm from person p1)p1 on house.pidvola=p1.pid
where p.sex = '2'
and p.dischargetype=9
and SUBSTRING(house.villcode,7,2) <> '00'
and p.typelive in (0,1,3)
and GetAgeYearNum(p.birth,'2013-10-01') between '30' and '60'##‪#‎เปลี่ยนวันที่คำนวณอายุประชากรเป้าหมายบรรทัดนี้‬
and concat(p.pid,p.pcucodeperson) not in (select concat(visitlabcancer.pid,visitlabcancer.pcucodeperson)from visitlabcancer where visitlabcancer.typecancer =1
and visitlabcancer.datecheck between '2013-10-01' and '2014-09-30')##‪#‎เปลี่ยนวันที่ช่วงที่ต้องการข้อมูลบรรทัดนี้‬
group by p.pid
order by house.villcode,house.hno*1;